hpp-corbaserver: _objref_PathVector Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_PathVector Class Reference

`#include <hpp/core_idl/paths-idl.hh>`

Inheritance diagram for _objref_PathVector:
[legend]
Collaboration diagram for _objref_PathVector:
[legend]

## Public Member Functions
size_t | numberPaths ()
size_t | rankAtParam (::hpp::value_type param, ::hpp::value_type &localParam)
Path_ptr | pathAtRank (::hpp::core_idl::size_t rank)
void | appendPath (::hpp::core_idl::Path_ptr p)
void | concatenate (::hpp::core_idl::PathVector_ptr p)
PathVector_ptr | flatten ()
| _objref_PathVector ()
| _objref_PathVector (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_Path
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
size_type | outputSize ()
size_type | outputDerivativeSize ()
value_type | length ()
floatSeq * | initial ()
floatSeq * | end ()
ConstraintSet_ptr | constraints ()
char * | str ()
floatSeq * | call (::hpp::value_type t, ::CORBA::Boolean &success)
floatSeq * | at (::hpp::value_type t, ::CORBA::Boolean &success)
floatSeq * | derivative (::hpp::value_type t, ::CORBA::Short order)
Path_ptr | extract (::hpp::value_type tmin, ::hpp::value_type tmax)
PathVector_ptr | asVector ()
Path_ptr | reverse ()
| _objref_Path ()
| _objref_Path (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_PathVector ()
Protected Member Functions inherited from _objref_Path
virtual | ~_objref_Path ()

## Friends
class | PathVector

## Constructor & Destructor Documentation

## ◆ _objref_PathVector() [1/2]

_objref_PathVector::_objref_PathVector | ( |  | ) |
| inline

## ◆ _objref_PathVector() [2/2]

_objref_PathVector::_objref_PathVector | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_PathVector()

virtual _objref_PathVector::~_objref_PathVector | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ appendPath()

void _objref_PathVector::appendPath | ( | ::hpp::core_idl::Path_ptr | p | ) |

## ◆ concatenate()

void _objref_PathVector::concatenate | ( | ::hpp::core_idl::PathVector_ptr | p | ) |

## ◆ flatten()

PathVector_ptr _objref_PathVector::flatten | ( |  | ) |

## ◆ numberPaths()

size_t _objref_PathVector::numberPaths | ( |  | ) |

## ◆ pathAtRank()

Path_ptr _objref_PathVector::pathAtRank | ( | ::hpp::core_idl::size_t | rank | ) |

## ◆ rankAtParam()

size_t _objref_PathVector::rankAtParam | ( | ::hpp::value_type | param,
|  | ::hpp::value_type & | localParam
| ) |  |

## Friends And Related Symbol Documentation

## ◆ PathVector

friend class PathVector
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/paths-idl.hh